From 79cc258fee80134a598d7a2d00a50d0fead1862c Mon Sep 17 00:00:00 2001
From: Anachron <gith@cron.world>
Date: Tue, 16 Jul 2019 14:34:33 +0200
Subject: [PATCH 25/42] davmail: update to 5.2.0

---
 srcpkgs/davmail/template | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

diff --git a/srcpkgs/davmail/template b/srcpkgs/davmail/template
index e8732109c04..b6bfe90218f 100644
--- a/srcpkgs/davmail/template
+++ b/srcpkgs/davmail/template
@@ -1,35 +1,29 @@
 # Template file for 'davmail'
 pkgname=davmail
-version=4.8.2
+version=5.2.0
 revision=1
-_build=2524
 archs="i686 x86_64"
-wrksrc="${pkgname}-src-${version}-${_build}"
 hostmakedepends="openjdk apache-ant"
 short_desc="DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP exchange gateway"
-maintainer="Anachron <Anachron14@gmx.de>"
+maintainer="Anachron <gith@cron.world>"
 license="GPL-2"
 homepage="http://davmail.sourceforge.net"
-distfiles="${SOURCEFORGE_SITE}/${pkgname}/${pkgname}-src-${version}-${_build}.tgz"
-checksum=672c7bcf62d0ed710dcaf89cd1b858a94d73959bfc80c708c3e308d4a8a299f0
+distfiles="https://github.com/mguessan/${pkgname}/archive/${version}.tar.gz"
+checksum=b42745394dfa19fe48b73cca0f3063aa745750b369a8533c65732de8de11ce93
 
 do_build() {
 	ant
 }
 
 do_install() {
-	case $XBPS_TARGET_MACHINE in
-		i686) _arch="x86";;
-		x86_64) _arch="x86_64";;
-	esac
-	_src="dist/$pkgname-linux-${_arch}-${version}-trunk.tgz"
+	_src="dist/${pkgname}-src-${version}-trunk.tgz"
 
 	mkdir -p install
 	tar -xzf "${_src}" -C install
 
 	find install -type f -name \*.exe -delete
 	vmkdir usr/share/$pkgname
-	mv install/$pkgname-linux-${_arch}-${version}/* "${DESTDIR}"/usr/share/$pkgname
+	mv install/$pkgname-src-${version}-trunk/* "${DESTDIR}"/usr/share/$pkgname
 
 	vmkdir usr/bin
 	ln -s ../share/$pkgname/$pkgname.sh "${DESTDIR}"/usr/bin/$pkgname

